Arch API/it: Difference between revisions

From FreeCAD Documentation
(Created page with "Le funzioni API fanno parte dell'ambiente Arch e possono essere usate nelle macro e dalla console Python dopo che il modulo {...")
No edit summary
 
(9 intermediate revisions by 3 users not shown)
Line 2: Line 2:
{{VeryImportantMessage|(Novembre 2018) Le API di Arch sono elencate in [https://www.freecadweb.org/api autogenerated API documentation].}}
{{VeryImportantMessage|(Novembre 2018) Le API di Arch sono elencate in [https://www.freecadweb.org/api autogenerated API documentation].}}


Le funzioni API fanno parte dell'ambiente [[Arch Workbench/it|Arch]] e possono essere usate nelle [[macros/it|macro]] e dalla console [[Python/it|Python]] dopo che il modulo {{incode|Arch/it|Arch}} è stato importato. L'addon [[Reinforcement Addon/it|Reinforcement]] ha le sue [[Reinforcement API/it|Reinforcement API]].
Le funzioni API fanno parte dell'ambiente [[Arch_Workbench/it|Arch]] e possono essere usate nelle [[Macros/it|macro]] e dalla console [[Python/it|Python]] dopo che il modulo {{incode|Arch/it|Arch}} è stato importato. L'Ambiente [[Reinforcement_Workbench/it|Reinforcement]] ha le sue [[Reinforcement_API/it|Reinforcement API]].


Esempio:
Example:
{{Code|code=
{{Code|code=
import FreeCAD, Draft, Arch
import FreeCAD, Draft, Arch
Line 15: Line 15:
}}
}}


{{Arch Tools navi}}
{{Arch Tools navi{{#translation:}}}}
{{Userdocnavi{{#translation:}}}}
[[Category:API]]
[[Category:Poweruser Documentation]]
[[Category:API{{#translation:}}]]
[[Category:Poweruser Documentation{{#translation:}}]]

Latest revision as of 07:45, 16 March 2024

(Novembre 2018) Le API di Arch sono elencate in autogenerated API documentation.

Le funzioni API fanno parte dell'ambiente Arch e possono essere usate nelle macro e dalla console Python dopo che il modulo Arch/it è stato importato. L'Ambiente Reinforcement ha le sue Reinforcement API.

Esempio:

import FreeCAD, Draft, Arch

p1 = FreeCAD.Vector(0, 0, 0)
p2 = FreeCAD.Vector(2000, 0, 0)
baseline = Draft.makeLine(p1, p2)

Arch.makeWall(baseline, length=None, width=200, height=2000)